| TagLib 1.13 |  |

Public Types | Public Member Functions | List of all members
TagLib::FLAC::Picture Class Reference

`#include <flacpicture.h>`

Inheritance diagram for TagLib::FLAC::Picture:
[legend]
Collaboration diagram for TagLib::FLAC::Picture:
[legend]

## Public Types
enum | Type { Other = 0x00 , FileIcon = 0x01 , OtherFileIcon = 0x02 , FrontCover = 0x03 , BackCover = 0x04 , LeafletPage = 0x05 , Media = 0x06 , LeadArtist = 0x07 , Artist = 0x08 , Conductor = 0x09 , Band = 0x0A , Composer = 0x0B , Lyricist = 0x0C , RecordingLocation = 0x0D , DuringRecording = 0x0E , DuringPerformance = 0x0F , MovieScreenCapture = 0x10 , ColouredFish = 0x11 , Illustration = 0x12 , BandLogo = 0x13 , PublisherLogo = 0x14 }
Public Types inherited from TagLib::FLAC::MetadataBlock
enum | BlockType { StreamInfo = 0 , Padding , Application , SeekTable , VorbisComment , CueSheet , Picture }

## Public Member Functions
| Picture ()
| Picture (const ByteVector &data)
| ~Picture ()
Type | type () const
void | setType (Type type)
String | mimeType () const
void | setMimeType (const String &m)
String | description () const
void | setDescription (const String &desc)
int | width () const
void | setWidth (int w)
int | height () const
void | setHeight (int h)
int | colorDepth () const
void | setColorDepth (int depth)
int | numColors () const
void | setNumColors (int numColors)
ByteVector | data () const
void | setData (const ByteVector &data)
int | code () const
ByteVector | render () const
bool | parse (const ByteVector &rawData)
Public Member Functions inherited from TagLib::FLAC::MetadataBlock
| MetadataBlock ()
virtual | ~MetadataBlock ()
virtual int | code () const =0
virtual ByteVector | render () const =0

## Member Enumeration Documentation

## ◆ Type

enum TagLib::FLAC::Picture::Type

This describes the function or content of the picture.

Enumerator
Other | A type not enumerated below.
FileIcon | 32x32 PNG image that should be used as the file icon
OtherFileIcon | File icon of a different size or format.
FrontCover | Front cover image of the album.
BackCover | Back cover image of the album.
LeafletPage | Inside leaflet page of the album.
Media | Image from the album itself.
LeadArtist | Picture of the lead artist or soloist.
Artist | Picture of the artist or performer.
Conductor | Picture of the conductor.
Band | Picture of the band or orchestra.
Composer | Picture of the composer.
Lyricist | Picture of the lyricist or text writer.
RecordingLocation | Picture of the recording location or studio.
DuringRecording | Picture of the artists during recording.
DuringPerformance | Picture of the artists during performance.
MovieScreenCapture | Picture from a movie or video related to the track.
ColouredFish | Picture of a large, coloured fish.
Illustration | Illustration related to the track.
BandLogo | Logo of the band or performer.
PublisherLogo | Logo of the publisher (record company)

## Constructor & Destructor Documentation

## ◆ Picture() [1/2]

TagLib::FLAC::Picture::Picture | ( |  | ) |

## ◆ Picture() [2/2]

TagLib::FLAC::Picture::Picture | ( | const ByteVector & | data | ) |

## ◆ ~Picture()

TagLib::FLAC::Picture::~Picture | ( |  | ) |

## Member Function Documentation

## ◆ code()

int TagLib::FLAC::Picture::code | ( |  | ) | const
| virtual

Returns the FLAC metadata block type.

Implements TagLib::FLAC::MetadataBlock.

## ◆ colorDepth()

int TagLib::FLAC::Picture::colorDepth | ( |  | ) | const

Returns the color depth (in bits-per-pixel) of the image.

## ◆ data()

ByteVector TagLib::FLAC::Picture::data | ( |  | ) | const

Returns the image data.

## ◆ description()

String TagLib::FLAC::Picture::description | ( |  | ) | const

Returns a text description of the image.

## ◆ height()

int TagLib::FLAC::Picture::height | ( |  | ) | const

Returns the height of the image.

## ◆ mimeType()

String TagLib::FLAC::Picture::mimeType | ( |  | ) | const

Returns the mime type of the image. This should in most cases be "image/png" or "image/jpeg".

## ◆ numColors()

int TagLib::FLAC::Picture::numColors | ( |  | ) | const

Returns the number of colors used on the image..

## ◆ parse()

bool TagLib::FLAC::Picture::parse | ( | const ByteVector & | rawData | ) |

Parse the picture data in the FLAC picture block format.

## ◆ render()

ByteVector TagLib::FLAC::Picture::render | ( |  | ) | const
| virtual

Render the content to the FLAC picture block format.

Implements TagLib::FLAC::MetadataBlock.

## ◆ setColorDepth()

void TagLib::FLAC::Picture::setColorDepth | ( | int | depth | ) |

Sets the color depth (in bits-per-pixel) of the image.

## ◆ setData()

void TagLib::FLAC::Picture::setData | ( | const ByteVector & | data | ) |

Sets the image data.

## ◆ setDescription()

void TagLib::FLAC::Picture::setDescription | ( | const String & | desc | ) |

Sets a textual description of the image to desc.

## ◆ setHeight()

void TagLib::FLAC::Picture::setHeight | ( | int | h | ) |

Sets the height of the image.

## ◆ setMimeType()

void TagLib::FLAC::Picture::setMimeType | ( | const String & | m | ) |

Sets the mime type of the image. This should in most cases be "image/png" or "image/jpeg".

## ◆ setNumColors()

void TagLib::FLAC::Picture::setNumColors | ( | int | numColors | ) |

Sets the number of colors used on the image (for indexed images).

## ◆ setType()

void TagLib::FLAC::Picture::setType | ( | Type | type | ) |

Sets the type of the image.

## ◆ setWidth()

void TagLib::FLAC::Picture::setWidth | ( | int | w | ) |

Sets the width of the image.

## ◆ type()

Type TagLib::FLAC::Picture::type | ( |  | ) | const

Returns the type of the image.

## ◆ width()

int TagLib::FLAC::Picture::width | ( |  | ) | const

Returns the width of the image.

The documentation for this class was generated from the following file:

- flacpicture.h